import { AccountingClient } from "./api/resources/accounting/client/Client";
import { AtsClient } from "./api/resources/ats/client/Client";
import { CrmClient } from "./api/resources/crm/client/Client";
import { FilestorageClient } from "./api/resources/filestorage/client/Client";
import { HrisClient } from "./api/resources/hris/client/Client";
import { TicketingClient } from "./api/resources/ticketing/client/Client";
import type { BaseClientOptions, BaseRequestOptions } from "./BaseClient";
import { type NormalizedClientOptionsWithAuth } from "./BaseClient";
export declare namespace MergeClient {
    type Options = BaseClientOptions;
    interface RequestOptions extends BaseRequestOptions {
    }
}
export declare class MergeClient {
    protected readonly _options: NormalizedClientOptionsWithAuth<MergeClient.Options>;
    protected _ats: AtsClient | undefined;
    protected _accounting: AccountingClient | undefined;
    protected _crm: CrmClient | undefined;
    protected _hris: HrisClient | undefined;
    protected _ticketing: TicketingClient | undefined;
    protected _filestorage: FilestorageClient | undefined;
    constructor(options: MergeClient.Options);
    get ats(): AtsClient;
    get accounting(): AccountingClient;
    get crm(): CrmClient;
    get hris(): HrisClient;
    get ticketing(): TicketingClient;
    get filestorage(): FilestorageClient;
}
